@echo off
cls
if "%1"=="" goto shortform
if "%1"=="?" goto instructions
if "%1"=="ub" goto ub
if "%1"=="crz" goto crz
if "%1"=="mult" goto mult
if "%1"=="old" goto old
goto shortform

:shortform
echo.
echo Ultra Bloody Duke Command Line Launcher
echo.
echo UBDUKE [UB/CRZ/MULT/OLD] episode# level#
echo.
echo note: episode# and level# are only available for the CRZ option.
echo type "ubduke ?" for details.
goto end

:instructions
echo Ultra Bloody Duke Command Line Launcher
echo ---------------------------------------
echo To start, type:
echo UBDUKE [UB/CRZ/MULT/OLD] episode# level#
echo.
echo note: episode# and level# are for single crazed match only.
echo.
echo Examples:
echo ubduke ub         - Ultra Bloody Duke
echo ubduke crz 1 2    - Single Crazed Match in Episode 1 Level 2
echo ubduke mult       - Multiplayer Ultra Bloody Duke
echo ubduke old        - The Original Duke
echo.
goto end

:ub
duke3d /xGAME-UB.CON
goto NORMAL_END

:crz
duke3d /xGAME-CRZ.CON /v%2 /l%3 /s4 /tx
goto NORMAL_END

:mult
setup /xGAME-UB.CON
goto NORMAL_END

:old
duke3d
goto NORMAL_END

:NORMAL_END
echo.
echo Hope you enjoyed Ultra Bloody Duke!
goto END

:END
